CRMchat APIBeta
Telegram APIMessages

messages.getForumTopics

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getForumTopics

Get topics of a forum

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getForumTopics" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "offsetDate": 0,      "offsetId": 0,      "offsetTopic": 0,      "limit": 0    }  }'
{  "result": {    "_": "messages.forumTopics",    "orderByCreateDate": true,    "count": 0,    "topics": [      {        "_": "forumTopicDeleted",        "id": 0      }    ],    "messages": [      {        "_": "messageEmpty",        "id": 0,        "peerId": {          "_": "peerUser",          "userId": 0        }      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ],    "pts": 0  }}